<?php
/**********************************************************************
    Copyright (C) FrontAccounting, LLC.
	Released under the terms of the GNU General Public License, GPL, 
	as published by the Free Software Foundation, either version 3 
	of the License, or (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
    See the License here <http://www.gnu.org/licenses/gpl-3.0.html>.
***********************************************************************/
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/includes/ui/items_cart.inc");

//--------------------------------------------------------------------------------

function display_order_header(&$Order)
{
	global $Ajax;

	$qes = has_quick_entries(QE_JOURNAL);
	$new = $Order->order_id==0;
	start_outer_table(TABLESTYLE2, "width='90%'");
	table_section(1);

    date_row(_("Journal Date:"), 'date_', '', $new, 0,0,0,null, true);
    if (input_changed('date_'))
    {
    	unset($_POST['ref']);
    	$Ajax->activate('ref');
    }

	currencies_list_row(_('Currency:'), 'currency', null, true);
 	if (list_updated('currency'))
		unset($_POST['_ex_rate']);
	exchange_rate_display(get_company_pref('curr_default'), get_post('currency'), get_post('date_'), true);

	if (list_updated('currency'))
		$Order->clear_items();

	table_section(2);

    date_row(_("Document Date:"), 'doc_date', '', $new);
    date_row(_("Event Date:"), 'event_date', '', $new);
    text_row(_("Source ref:"), 'source_ref', null, 30, 60);

 	if ($new) {
		table_section(3);
	}

	ref_row(_("Reference:"), 'ref', null, get_post('ref'), false, ST_JOURNAL, array('date'=>get_post('date_')));
	hidden('ref_original');

	//if ($qes !== false)
	//{
		table_section(3);
		quick_entries_list_row(_("Quick Entry").":", 'quick', null, QE_JOURNAL, true);

		start_row();
		$qid = get_quick_entry(get_post('quick'));
		if (list_updated('quick')) {
			unset($_POST['totamount']); // enable default
		$Ajax->activate('totamount');
		}
		end_row();
		if ($qid['bal_type'] == 1)
		{
			$accname = get_gl_account_name($qid['base_desc']);
			label_row(($qid['base_amount'] == 0 ? _("Yearly") : _("Monthly")) . " ". _("balance from account")." ".
				$qid['base_desc']." ".$accname."&nbsp;&nbsp;".submit('go', _("Go"), false, false, true),'', "colspan=2");
		}
		else
		{
			text_row(_('Additional info:'), 'aux_info', null, 35, 255);
			amount_row($qid['base_desc'].":", 'totamount', price_format($qid['base_amount']),
		 		null, "&nbsp;&nbsp;".submit('go', _("Go"), false, false, true));
		}

	//}

	check_row(_('Include in tax register:'), 'taxable_trans', null, true);
	end_outer_table(1);
}

//---------------------------------------------------------------------------------

function display_gl_items($title, &$order)
{
	global $path_to_root;

	display_heading($title);

	$dim = get_company_pref('use_dimension');

	$id = find_submit('Edit');
	$sub_type = is_subledger_account(get_post('code_id'));
	$has_subaccounts = $order->has_sub_accounts();

    div_start('items_table');
	start_table(TABLESTYLE, "width='95%'");
	if ($dim == 2)
		$th = array(_("Account Code"), _("Account Description"), _("Item Description"), _("Dimension")." 1",
			_("Dimension")." 2", _("Debit"), _("Credit"), _("Description"), "");
	elseif ($dim == 1)
		$th = array(_("Account Code"), _("Account Description"), _("Item Description"), _("Dimension"),
			_("Debit"), _("Credit"), _("Description"), "");
	else
		$th = array(_("Account Code"), _("Account Description"), _("Item Description"),
			_("Debit"), _("Credit"), _("Description"), "");

	if (count($order->gl_items)) $th[] = '';
	if ($sub_type || $has_subaccounts)
		array_insert($th, 2, _("Counterparty"));

	table_header($th);

	$k = 0;

	if ($id == -1) 
		$id = get_post('Index', -1);

	foreach ($order->gl_items as $line => $item) 
	{
		if ($id != $line)
		{
    		alt_table_row_color($k);

			$acc = $item->code_id . ($item->person_id ? sprintf(' %05d', $item->person_id) : '');
			label_cells($acc, $item->description);

			if ($sub_type || $has_subaccounts)
				label_cell($item->person_name);

			if($item->item!=null or $item->item!=0 or $item->item!='')
				label_cell( get_gl_stock_name(@$item->item));
			else
				label_cell( '');
    		if ($dim >= 1)
   				label_cell(get_dimension_string($item->dimension_id, true));
    		if ($dim > 1)
   				label_cell(get_dimension_string($item->dimension2_id, true));
    		if ($item->amount > 0)
    		{
    			amount_cell(abs($item->amount));
    			label_cell("");
    		}
    		else
    		{
    			label_cell("");
    			amount_cell(abs($item->amount));
    		}	
			label_cell($item->reference);

			edit_button_cell("Edit$line", _("Edit"),
				_('Edit journal line'));
			delete_button_cell("Delete$line", _("Delete"),
				_('Remove line from journal'));
    		end_row();
		} 
		else 
		{
			gl_edit_item_controls($order, $dim, $item->person_id, $line);
		}
	}

	if ($id == -1)
		gl_edit_item_controls($order, $dim, $sub_type);

	if ($order->count_gl_items()) 
	{
		$colspan = ($dim == 2 ? "4" : ($dim == 1 ? "3" : "2")) + ($sub_type || $has_subaccounts ? 1 : 0);
		start_row();
		label_cell(_("Total"), "align=right colspan=" . $colspan);
		amount_cell($order->gl_items_total_debit());
		amount_cell(abs($order->gl_items_total_credit()));
		$diff=($order->gl_items_total_debit()-abs($order->gl_items_total_credit()));
		//if($diff!=0)
		label_cell('Diff : '.$diff, "colspan=3");
		end_row();
	}

    end_table();
	div_end();
}

//---------------------------------------------------------------------------------

function gl_edit_item_controls(&$order, $dim, $sub_accounts, $Index=null)
{
	global $Ajax;
	start_row();

	$id = find_submit('Edit');
	if ($id == -1) 
		$continue = $id = get_post('Index', -1);

	if ($Index != -1 && $Index == $id)
	{
	    // Modifying an existing row
		$item = $order->gl_items[$Index];
		if (!isset($continue))
		{
			$_POST['code_id'] = $item->code_id;
			$_POST['dimension_id'] = $item->dimension_id;
			$_POST['dimension2_id'] = $item->dimension2_id;
			$_POST['person_id'] = $item->person_id;
			if ($item->amount > 0)
			{
				$_POST['AmountDebit'] = price_format($item->amount);
				$_POST['AmountCredit'] = "";
				$db=price_format($item->amount);
				$cr=0;
			}
			else
			{
				$_POST['AmountDebit'] = "";
				$_POST['AmountCredit'] = price_format(abs($item->amount));
				$cr=price_format(abs($item->amount));
				$db=0;
			}
			$_POST['description'] = $item->description;
			$_POST['LineMemo'] = $item->reference;
		}
		hidden('Index', $id);
		$skip_bank = !$_SESSION["wa_current_user"]->can_access('SA_BANKJOURNAL');
		echo gl_all_accounts_list('code_id', @$_POST['code_id'], $skip_bank, true, _('[Select account]'), true, false, false);
		
		if (is_subledger_account(get_post('code_id')))
		{	// for home currency postings show all customers
			$sel_cur = get_post('currency', $order->currency);
			subledger_list_cells(null, 'person_id', get_post('code_id'), null, false, false,
				get_company_currency() == $sel_cur  ? null : $sel_cur);
		} elseif ($order->has_sub_accounts()){
			label_cell('');
		}else{
			//label_cell('');
		}
			echo'<td>';
			stock_items_list_cells(null, 'stock_id', null, false, true, false, true, array('editable' => 30,'search_box' => false));
			echo'</td>';
		if ($dim >= 1) 
			dimensions_list_cells(null, 'dimension_id', null, true, " ", false, 1);
		if ($dim > 1) 
			dimensions_list_cells(null, 'dimension2_id', null, true, " ", false, 2);
	    $Ajax->activate('items_table');
	}
	else
	{
		$skip_bank = !$_SESSION["wa_current_user"]->can_access('SA_BANKJOURNAL');
		echo gl_all_accounts_list('code_id', @$_POST['code_id'], $skip_bank, true, _('[Select account]'), true, false, false);
		if (is_subledger_account(get_post('code_id')))
		{
			// for home currency postings show all customers
			$sel_cur = get_post('currency', $order->currency);
			subledger_list_cells(null, 'person_id', get_post('code_id'), null, false, false,
				get_company_currency() == $sel_cur  ? null : $sel_cur);
		}
		elseif ($order->has_sub_accounts())
			label_cell('');
		echo'<td>';
			stock_items_list_cells(null, 'stock_id', null, false, true, false, true, array('editable' => 30,'search_box' => false));
			echo'</td>';
		if ($dim >= 1)
			dimensions_list_cells(null, 'dimension_id', null, true, " ", false, 1);
		if ($dim > 1)
			dimensions_list_cells(null, 'dimension2_id', null, true, " ", false, 2);
	}

	if (get_post('_code_id_update'))
	{
	    $Ajax->activate('code_id');
		set_focus($sub_accounts ? 'person_id' : 'AmountDebit');
	}
	if ($dim < 1)
		hidden('dimension_id', 0);
	if ($dim < 2)
		hidden('dimension2_id', 0);
	if ($Index != -1 && $Index != $id)
	{
		$diff=($order->gl_items_total_debit()-abs($order->gl_items_total_credit()));
		$db=0;$cr=0;
		//if($order->gl_items_total_debit()<$order->gl_items_total_credit())
		//	$db=$diff;
		//if($order->gl_items_total_debit()>$order->gl_items_total_credit())
		//	$cr=$diff;
	}
	//small_amount_cells(null, 'AmountDebit');
	echo '
	<input type="hidden" name="selisihAll" id="selisihAll" value="'.@$diff.'">
	<input class="amount" type="hidden" name="AmountDebitAll" id="AmountDebitAll" value="'.$order->gl_items_total_debit().'">
	<input class="amount" type="hidden" name="AmountCreditAll" id="AmountCreditAll" value="'.$order->gl_items_total_credit().'">
		<script type="text/javascript">
		function cekamountdebit(){
			var creditall=document.getElementById("selisihAll").value;
			/*
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(",", ".");
			*/
			if(creditall==false)
				creditall=0;

			var creditall = creditall.replace(".", ",");
			if(creditall<0)
				document.getElementById("AmountDebit").value=creditall;
			//console.log(creditall);

		}
		function cekamountcredit(){
			var creditall=document.getElementById("selisihAll").value;
			console.log(creditall);
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(".", "");
			var creditall = creditall.replace(",", ".");
			if(creditall==false)
				creditall=0;

			var creditall = creditall.replace(".", ",");
			console.log(creditall);
			if(creditall>0)
				document.getElementById("AmountCredit").value=creditall;
		}
		function cekmemo(){
			document.getElementById("LineMemo").select();
		}
		</script>';
	echo'<td><input class="amount" type="text" name="AmountDebit" id="AmountDebit" onfocus="cekamountdebit()" size="12" maxlength="12" dec="2" value="'.$db.'"></td>';
	//small_amount_cells(null, 'AmountCredit');
	echo'<td><input class="amount" type="text" name="AmountCredit" id="AmountCredit" onfocus="cekamountcredit()" size="12" maxlength="12" dec="2" value="'.$cr.'"></td>';
	//text_cells_ex(null, 'LineMemo', 35, 255);

	echo'<td>';
	echo '<input type="text" id="LineMemo" name="LineMemo" onfocus="cekmemo()" size="35" maxlength="255" value="'.@$_POST['LineMemo'].'">';
	echo'</td>';
	if ($id != -1) 
	{
		button_cell('UpdateItem', _("Update"),
				_('Confirm changes'), ICON_UPDATE);
		button_cell('CancelItemChanges', _("Cancel"),
				_('Cancel changes'), ICON_CANCEL);
 		set_focus('amount');
	} 
	else 
		submit_cells('AddItem', _("Add Item"), "colspan=2",
		    _('Add new line to journal'), true);

	end_row();
}

//---------------------------------------------------------------------------------

function gl_options_controls($order,$code_id)
{
		//print_r($order->gl_items);
	  echo "<br><table align='center' valign='top'>";
	  //$setting_deprec='';
	  
	  /*if($code_id=='11699' or $order->gl_items[0]->code_id=='11699'){
		//type lunch, dinner goods

		$setting_deprec= '<tr><td style="vertical-align:top;"><table class="tablestyle_inner" valign="top">
<tr><td colspan="2" class="tableheader">Depreciation</td></tr>';
	$setting_deprec.=fixed_asset_classes_list_row(_("Fixed Asset Class").':', 'fa_class_id', $_POST['_fa_class_id_edit'], false, true);
if($_POST['_fa_class_id_edit']!=2){
	$setting_deprec.='<tr><td class="label">Depreciation Method:</td>
<td><span id="_depreciation_method_sel"><select autocomplete="off" name="depreciation_method" class="combo" title="" _last="0"><option value="D">Declining balance</option>
<option value="S">Straight line</option>
<option value="N">Sum of the Year Digits</option>
<option value="O">One-time</option>
</select>
</span>
<input type="submit" class="combo_select" style="border:0;background:url(../themes/default/images/button_ok.png) no-repeat;display:none;" aspect="fallback" name="_depreciation_method_update" value=" " title="Select"> 
</td></tr>
<tr><td class="label">Base Rate:</td>
<td><input class="amount" type="text" name="depreciation_rate" id="depreciation_rate" onfocus="cekamount()" size="7" maxlength="12" dec="0" value="1"><span id="_depreciation_rate_label"> %</span></td>
</tr>
<tr><td class="label">Rate multiplier:</td>
<td><input class="amount" type="text" name="depreciation_factor" id="depreciation_factor" onfocus="cekamount()" size="7" maxlength="12" dec="2" value=""></td>
</tr>
<tr><td class="label">Depreciation Start:</td><td><input type="text" name="depreciation_start" class="date" size="10" maxlength="12" value="01/02/2017" _last_val="01/02/2017" autocomplete="off"> 
</td>
</tr>';
}
$setting_deprec.='</table></td><td>';

$setting_deprec.='
<table class="tablestyle_inner">
<tr><td colspan="2" class="tableheader">GL Accounts</td></tr>
<tr><td class="label">Asset account:</td><td><span id="_inventory_account_sel"><select id="inventory_account" autocomplete="off" name="inventory_account" class="combo3" title="" _last="68"><optgroup label="KAS">
<option value="11111">1-1111 Kas Kecil - IDR</option>
<option value="11112">1-1112 Kas Kecil 3 (Operasional)</option>
<option value="11113">1-1113 Kas Kecil 4 (Marketing)</option>
<option value="11114">1-1114 Kas Kecil 5 (Sekretaris)</option>
<option value="11140">1-1140 Kas Besar - IDR</option>
</optgroup><optgroup label="BANK">
<option value="11152">1-1152 Bank Ekonomi-2161889299 (IDR)</option>
<option value="11153">1-1153 Bank Ekonomi-2161880909 (IDR)</option>
<option value="11154">1-1154 Bank Ekonomi -2165001969 (USD)</option>
<option value="11155">1-1155 Bank BII - 2.145.258.793 (IDR)</option>
<option value="11156">1-1156 Bank Danamon - 351.8939.883</option>
<option value="11157">1-1157 Bank Permata - 701.316.290</option>
<option value="11158">1-1158 Permata Maxima 701.316.142</option>
<option value="11159">1-1159 Bank Ekonomi -2163812099 (Tab)</option>
<option value="11160">1-1160 Taseto BPTN</option>
<option value="11161">1-1161 CIMB Niaga 9250100851000</option>
<option value="11162">1-1162 Bank Mega USD</option>
<option value="11163">1-1163 Bank BRI 0671.01.00276309</option>
<option value="11164">1-1164 Bank Mega IDR 01.074.001123.897.6</option>
</optgroup><optgroup label="DEPOSITO BERJANGKA">
<option value="11201">1-1201 Deposito BII</option>
<option value="11202">1-1202 Deposito Ekonomi</option>
<option value="11203">1-1203 Deposito BRI</option>
<option value="11204">1-1204 Deposito Standard Chartered</option>
<option value="11205">1-1205 Deposito BTPN</option>
<option value="11206">1-1206 Deposito Permata</option>
<option value="11207">1-1207 Deposito Bank Victoria</option>
</optgroup><optgroup label="PORTOFOLIO EFEK">
<option value="11301">1-1301 Saldo Rekening Efek(Saham)</option>
<option value="11302">1-1302 Saldo Rekening Efek (Obligasi)</option>
<option value="11303">1-1303 Unit Penyertaan Reksa Dana</option>
<option value="11304">1-1304 Portofolio Efek</option>
<option value="11305">1-1305 Obligasi</option>
</optgroup><optgroup label="PIUTANG USAHA">
<option value="11401">1-1401 Piutang Usaha</option>
<option value="11499">1-1499 Undeposited Fund</option>
</optgroup><optgroup label="PIUTANG LAIN-LAIN">
<option value="11510">1-1510 Piutang PPh Ps.23</option>
<option value="11520">1-1520 Piutang PPh 4 (2)</option>
<option value="11530">1-1530 Piutang PPN</option>
<option value="11580">1-1580 Piutang Pemegang Saham JP</option>
<option value="11581">1-1581 Piutang Pemegang Saham RH</option>
<option value="11582">1-1582 Piutang Pemegang Saham DT</option>
<option value="11583">1-1583 Piutang Bunga SEP</option>
<option value="11584">1-1584 Piutang bunga Deposito</option>
<option value="11590">1-1590 Piutang Lain-Lain</option>
</optgroup><optgroup label="BIAYA DI BAYAR DIMUKA">
<option value="11601">1-1601 Premi Asuransi Kendaraan</option>
<option value="11602">1-1602 Premi Asuransi Kesehatan</option>
<option value="11603">1-1603 Allocation Car Park</option>
<option value="11604">1-1604 Infovesta</option>
<option value="11605">1-1605 Domain &amp; Hosting Fee Javanic</option>
<option value="11606">1-1606 Biaya Data Research</option>
<option value="11607">1-1607 Sewa Gedung</option>
<option value="11608">1-1608 Service Charge</option>
<option value="11609">1-1609 Indosite Webhosting</option>
<option value="11610">1-1610 Langganan Majalah</option>
<option value="11611">1-1611 RTI</option>
<option value="11612">1-1612 Premi Asuransi Gedung</option>
<option value="11613">1-1613 Langganan Data Bareksa</option>
<option value="11614">1-1614 Akses Market Info IQ Plus</option>
<option value="11615">1-1615 Langganan BIPS</option>
<option value="11699">1-1699 Down Payment</option>
</optgroup><optgroup label="PAJAK DIBAYAR DIMUKA">
<option value="11701">1-1701 PPh Ps.23 dibayar dimuka</option>
<option value="11702">1-1702 PPh Ps. 25</option>
<option value="11703">1-1703 Pajak Masukan</option>
<option value="11704">1-1704 Fiskal Luar Negeri</option>
<option value="11705">1-1705 PPh Ps. 28</option>
</optgroup><optgroup label="INVESTASI">
<option value="12101">1-2101 Inv. Penyertaan Saham Skybee</option>
<option value="12102">1-2102 Inv. Penyertaan Saham Suria EP</option>
</optgroup><optgroup label="RENOVASI">
<option value="12211">1-2211 Renovasi</option>
<option value="12212">1-2212 Amortisasi Renovasi</option>
</optgroup><optgroup label="PERALATAN KANTOR">
<option value="12221">1-2221 Peralatan Kantor</option>
<option value="12222">1-2222 Akm. Dep. Peralatan Kantor</option>
</optgroup><optgroup label="FURNITURE AND FIXTURE">
<option selected="" value="12231">1-2231 Furniture &amp; Fixtures</option>
<option value="12232">1-2232 Akm.Dep. Furnitures &amp; Fixtures</option>
</optgroup><optgroup label="KENDARAAN">
<option value="12241">1-2241 Kendaraan</option>
<option value="12242">1-2242 Akm.Dep.Kendaraan</option>
</optgroup><optgroup label="TANAH">
<option value="12251">1-2251 Tanah</option>
</optgroup><optgroup label="BANGUNAN">
<option value="12261">1-2261 Bangunan</option>
<option value="12262">1-2262 Akm. Dep. Bangunan</option>
</optgroup><optgroup label="ASET PAJAK TANGGUHAN">
<option value="12301">1-2301 Aset Pajak Tangguhan</option>
</optgroup><optgroup label="GOODWILL">
<option value="12401">1-2401 Goodwill</option>
</optgroup><optgroup label="ASETLAIN-LAIN">
<option value="12901">1-2901 Deposit</option>
<option value="12999">1-2999 Aktiva Lain-lain</option>
</optgroup><optgroup label="LIABILITAS LANCAR">
<option value="21401">2-1401 Kewajiban Pajak Tangguhan</option>
<option value="21510">2-1510 Deposit from Customers</option>
</optgroup><optgroup label="HUTANG PERUSAHAAN">
<option value="21110">2-1110 Hutang Perusahaan </option>
<option value="21120">2-1120 Hutang Marjin</option>
<option value="21130">2-1130 Hutang JATIS</option>
<option value="21140">2-1140 Hutang Gaji, Bonus</option>
</optgroup><optgroup label="HUTANG PAJAK">
<option value="21210">2-1210 Hutang PPh Ps.21</option>
<option value="21220">2-1220 Hutang PPh Ps.23</option>
<option value="21230">2-1230 Hutang PPh Ps.4(2)</option>
<option value="21240">2-1240 Pajak Keluaran</option>
<option value="21250">2-1250 Hutang PPh Ps. 29</option>
<option value="21260">2-1260 Hutang PPh 25</option>
<option value="21270">2-1270 Hutang PPh 26</option>
<option value="21280">2-1280 Hutang PPN</option>
</optgroup><optgroup label="PENERBITAN OBLIGASI">
<option value="21301">2-1301 Penerbitan Obligasi</option>
</optgroup><optgroup label="ESTIMASI LIAB IMBALAN KERJA">
<option value="21601">2-1601 Estimasi Liab Imbalan Kerja</option>
</optgroup><optgroup label="SELISIH BAGIAN RUGI ENTITAS">
<option value="21701">2-1701 Selisih Bagian Rugi Entitas</option>
</optgroup><optgroup label="HUTANG LAIN-LAIN LANCAR">
<option value="21901">2-1901 Hutang Lain-Lain Lancar</option>
</optgroup><optgroup label="LIABILITAS PAJAK">
<option value="22101">2-2101 Kewajiban Pajak Tangguhan</option>
</optgroup><optgroup label="HUTANG JANGKA PANJANG">
<option value="22901">2-2901 Hutang Jangka Panjang</option>
</optgroup><optgroup label="EQUITY">
<option value="31100">3-1100 Modal Saham</option>
<option value="38000">3-8000 Laba ditahan</option>
<option value="39000">3-9000 Laba / (Rugi) Tahun Berjalan</option>
<option value="39700">3-9700 Laba Pengukuran Kembali - PMP</option>
<option value="39800">3-9800 Laba/(Rugi) belum direalisasi</option>
<option value="39999">3-9999 Historical Balancing Account</option>
</optgroup><optgroup label="PENDAPATAN USAHA">
<option value="41000">4-1000 Jasa Manajemen Investasi</option>
<option value="42000">4-2000 Jasa Penjualan</option>
<option value="43000">4-3000 Keuntungan Perdagangan Efek</option>
<option value="43001">4-3001 Keuntungan Unit Reksa Dana</option>
<option value="43002">4-3002 Laba/(Rugi) belum direalisasi</option>
<option value="43004">4-3004 Pendapatan Lain-Lain</option>
<option value="45000">4-5000 Pendapatan Bunga (net)</option>
<option value="46000">4-6000 Keuntungan pdg Obligasi</option>
</optgroup><optgroup label="COST OF SALES">
<option value="51000">5-1000 Biaya bunga</option>
<option value="51001">5-1001 Biaya Short Sell</option>
<option value="51002">5-1002 Biaya Transaksi</option>
<option value="51003">5-1003 Biaya Custodial Service</option>
<option value="51004">5-1004 Discount MI Fee</option>
<option value="51005">5-1005 Iuran OJK</option>
</optgroup><optgroup label="BIAYA OPERASIONAL">
<option value="69101">6-9101 Perjalanan Dinas</option>
<option value="69102">6-9102 Hadiah &amp; Sumbangan</option>
<option value="69103">6-9103 Biaya Pajak</option>
<option value="69104">6-9104 Biaya Kantor</option>
<option value="69105">6-9105 Beban Bunga Pinjaman</option>
<option value="69199">6-9199 Lain-Lain</option>
<option value="69900">6-9900 Pajak Penghasilan Badan</option>
<option value="69990">6-9990 Pajak Tangguhan</option>
</optgroup><optgroup label="GAJI">
<option value="61001">6-1001 Gaji Karyawan</option>
<option value="61002">6-1002 Karyawan Tidak Tetap</option>
<option value="61003">6-1003 Insentif</option>
<option value="61004">6-1004 Tunjangan Lembur</option>
<option value="61005">6-1005 Tunjangan Makan</option>
<option value="61006">6-1006 Tunjangan Lain-Lain</option>
<option value="61007">6-1007 Medikal Karyawan</option>
<option value="61008">6-1008 PPh Ps.21</option>
<option value="61009">6-1009 Biaya Asuransi Kesehatan</option>
<option value="61010">6-1010 Bonus</option>
<option value="61011">6-1011 Jamsostek</option>
<option value="61012">6-1012 THR</option>
</optgroup><optgroup label="IKLAN DAN PROMOSI">
<option value="62001">6-2001 Iklan &amp; Promosi</option>
<option value="62002">6-2002 Entertainment</option>
<option value="62003">6-2003 Biaya Marketing</option>
<option value="62004">6-2004 Biaya Agen Marketing</option>
</optgroup><optgroup label="SEWA">
<option value="63001">6-3001 Biaya Sewa Gedung</option>
<option value="63002">6-3002 Biaya Service Charge</option>
<option value="63003">6-3003 Biaya Sewa</option>
</optgroup><optgroup label="TELEKOMUNIKASI &amp; LISTRIK">
<option value="64001">6-4001 Telepon &amp; Internet</option>
<option value="64002">6-4002 Listrik</option>
<option value="64003">6-4003 AC</option>
</optgroup><optgroup label="UMUM &amp; ADMINISTRASI">
<option value="65001">6-5001 KEPERLUAN KANTOR</option>
<option value="65011">6-5011 ATK</option>
<option value="65012">6-5012 Air Minum</option>
<option value="65013">6-5013 Photocopy &amp; Laminating</option>
<option value="65014">6-5014 Cetakan</option>
<option value="65015">6-5015 Keperluan Dapur</option>
<option value="65099">6-5099 Lain-lain Keperluan Kantor</option>
<option value="65100">6-5100 Transportasi &amp; Parkir</option>
<option value="65101">6-5101 Iuran &amp; Langganan</option>
<option value="65102">6-5102 Pos &amp; Pengiriman</option>
<option value="65103">6-5103 Bea Materai</option>
<option value="65104">6-5104 Perbaikan &amp; Perawatan</option>
<option value="65105">6-5105 Administrasi Bank</option>
<option value="65106">6-5106 Biaya Asuransi Kendaraan</option>
<option value="65107">6-5107 BPHTB</option>
<option value="65108">6-5108 Biaya Asuransi Gd sulanjana</option>
<option value="65109">6-5109 Biaya Estimasi Imb Kerja</option>
</optgroup><optgroup label="DEPRESIASI">
<option value="66001">6-6001 Depresiasi</option>
<option value="66002">6-6002 Amortisasi</option>
</optgroup><optgroup label="PELATIHAN &amp; SEMINAR">
<option value="67001">6-7001 Penelitian &amp; Pengembangan</option>
<option value="67002">6-7002 Pelatihan &amp; Seminar</option>
</optgroup><optgroup label="JASA PROFESSIONAL">
<option value="68001">6-8001 Biaya Profesional</option>
<option value="68002">6-8002 Penyedia Tenaga Kerja</option>
</optgroup><optgroup label="BIAYA PENJUALAN">
<option value="69001">6-9001 Administrasi Bursa Efek</option>
<option value="69002">6-9002 Biaya KPEI</option>
<option value="69003">6-9003 Jasa Pialang</option>
<option value="69004">6-9004 Pajak Penjualan Saham</option>
</optgroup><optgroup label="OTHER INCOME">
<option value="81000">8-1000 Pendapatan Bunga</option>
<option value="82000">8-2000 Laba penyertaan ReksaDana RDPT</option>
<option value="83000">8-3000 Laba Selisih Kurs</option>
<option value="84000">8-4000 Laba Penjualan Aktiva Tetap</option>
<option value="85000">8-5000 Pendapatan Investasi</option>
<option value="86000">8-6000 Pendapatan Bunga Deposito</option>
<option value="87000">8-7000 Pendapatan Bunga Simpan Hasil</option>
<option value="88000">8-8000 Pendapatan Bunga Rek Efek</option>
<option value="89000">8-9000 Pendapatan Bunga SEP</option>
<option value="89900">8-9900 Pendapatan Lain-2 Buana</option>
<option value="89990">8-9990 Laba Penjualan Saham Investasi</option>
<option value="89999">8-9999 Pendapatan Lain Lain</option>
</optgroup><optgroup label="OTHER EXPENSES">
<option value="91000">9-1000 Biaya Bunga</option>
<option value="92000">9-2000 Beban Keuangan Imbalan Kerja</option>
<option value="93000">9-3000 Rugi Selisih Kurs</option>
<option value="94000">9-4000 Rugi Penjualan Aktiva Tetap</option>
<option value="95000">9-5000 Kerugian Transaksi</option>
<option value="96000">9-6000 Rugi Bagian Anak Perusahaan</option>
<option value="99999">9-9999 Biaya Lain-lain</option>
</optgroup></select>
</span></td>
</tr>
<tr><td class="label">Depreciation cost account:</td><td><span id="_cogs_account_sel"><select id="cogs_account" autocomplete="off" name="cogs_account" class="combo3" title="" _last="69"><optgroup label="KAS">
<option value="11111">1-1111 Kas Kecil - IDR</option>
<option value="11112">1-1112 Kas Kecil 3 (Operasional)</option>
<option value="11113">1-1113 Kas Kecil 4 (Marketing)</option>
<option value="11114">1-1114 Kas Kecil 5 (Sekretaris)</option>
<option value="11140">1-1140 Kas Besar - IDR</option>
</optgroup><optgroup label="BANK">
<option value="11152">1-1152 Bank Ekonomi-2161889299 (IDR)</option>
<option value="11153">1-1153 Bank Ekonomi-2161880909 (IDR)</option>
<option value="11154">1-1154 Bank Ekonomi -2165001969 (USD)</option>
<option value="11155">1-1155 Bank BII - 2.145.258.793 (IDR)</option>
<option value="11156">1-1156 Bank Danamon - 351.8939.883</option>
<option value="11157">1-1157 Bank Permata - 701.316.290</option>
<option value="11158">1-1158 Permata Maxima 701.316.142</option>
<option value="11159">1-1159 Bank Ekonomi -2163812099 (Tab)</option>
<option value="11160">1-1160 Taseto BPTN</option>
<option value="11161">1-1161 CIMB Niaga 9250100851000</option>
<option value="11162">1-1162 Bank Mega USD</option>
<option value="11163">1-1163 Bank BRI 0671.01.00276309</option>
<option value="11164">1-1164 Bank Mega IDR 01.074.001123.897.6</option>
</optgroup><optgroup label="DEPOSITO BERJANGKA">
<option value="11201">1-1201 Deposito BII</option>
<option value="11202">1-1202 Deposito Ekonomi</option>
<option value="11203">1-1203 Deposito BRI</option>
<option value="11204">1-1204 Deposito Standard Chartered</option>
<option value="11205">1-1205 Deposito BTPN</option>
<option value="11206">1-1206 Deposito Permata</option>
<option value="11207">1-1207 Deposito Bank Victoria</option>
</optgroup><optgroup label="PORTOFOLIO EFEK">
<option value="11301">1-1301 Saldo Rekening Efek(Saham)</option>
<option value="11302">1-1302 Saldo Rekening Efek (Obligasi)</option>
<option value="11303">1-1303 Unit Penyertaan Reksa Dana</option>
<option value="11304">1-1304 Portofolio Efek</option>
<option value="11305">1-1305 Obligasi</option>
</optgroup><optgroup label="PIUTANG USAHA">
<option value="11401">1-1401 Piutang Usaha</option>
<option value="11499">1-1499 Undeposited Fund</option>
</optgroup><optgroup label="PIUTANG LAIN-LAIN">
<option value="11510">1-1510 Piutang PPh Ps.23</option>
<option value="11520">1-1520 Piutang PPh 4 (2)</option>
<option value="11530">1-1530 Piutang PPN</option>
<option value="11580">1-1580 Piutang Pemegang Saham JP</option>
<option value="11581">1-1581 Piutang Pemegang Saham RH</option>
<option value="11582">1-1582 Piutang Pemegang Saham DT</option>
<option value="11583">1-1583 Piutang Bunga SEP</option>
<option value="11584">1-1584 Piutang bunga Deposito</option>
<option value="11590">1-1590 Piutang Lain-Lain</option>
</optgroup><optgroup label="BIAYA DI BAYAR DIMUKA">
<option value="11601">1-1601 Premi Asuransi Kendaraan</option>
<option value="11602">1-1602 Premi Asuransi Kesehatan</option>
<option value="11603">1-1603 Allocation Car Park</option>
<option value="11604">1-1604 Infovesta</option>
<option value="11605">1-1605 Domain &amp; Hosting Fee Javanic</option>
<option value="11606">1-1606 Biaya Data Research</option>
<option value="11607">1-1607 Sewa Gedung</option>
<option value="11608">1-1608 Service Charge</option>
<option value="11609">1-1609 Indosite Webhosting</option>
<option value="11610">1-1610 Langganan Majalah</option>
<option value="11611">1-1611 RTI</option>
<option value="11612">1-1612 Premi Asuransi Gedung</option>
<option value="11613">1-1613 Langganan Data Bareksa</option>
<option value="11614">1-1614 Akses Market Info IQ Plus</option>
<option value="11615">1-1615 Langganan BIPS</option>
<option value="11699">1-1699 Down Payment</option>
</optgroup><optgroup label="PAJAK DIBAYAR DIMUKA">
<option value="11701">1-1701 PPh Ps.23 dibayar dimuka</option>
<option value="11702">1-1702 PPh Ps. 25</option>
<option value="11703">1-1703 Pajak Masukan</option>
<option value="11704">1-1704 Fiskal Luar Negeri</option>
<option value="11705">1-1705 PPh Ps. 28</option>
</optgroup><optgroup label="INVESTASI">
<option value="12101">1-2101 Inv. Penyertaan Saham Skybee</option>
<option value="12102">1-2102 Inv. Penyertaan Saham Suria EP</option>
</optgroup><optgroup label="RENOVASI">
<option value="12211">1-2211 Renovasi</option>
<option value="12212">1-2212 Amortisasi Renovasi</option>
</optgroup><optgroup label="PERALATAN KANTOR">
<option value="12221">1-2221 Peralatan Kantor</option>
<option value="12222">1-2222 Akm. Dep. Peralatan Kantor</option>
</optgroup><optgroup label="FURNITURE AND FIXTURE">
<option value="12231">1-2231 Furniture &amp; Fixtures</option>
<option selected="" value="12232">1-2232 Akm.Dep. Furnitures &amp; Fixtures</option>
</optgroup><optgroup label="KENDARAAN">
<option value="12241">1-2241 Kendaraan</option>
<option value="12242">1-2242 Akm.Dep.Kendaraan</option>
</optgroup><optgroup label="TANAH">
<option value="12251">1-2251 Tanah</option>
</optgroup><optgroup label="BANGUNAN">
<option value="12261">1-2261 Bangunan</option>
<option value="12262">1-2262 Akm. Dep. Bangunan</option>
</optgroup><optgroup label="ASET PAJAK TANGGUHAN">
<option value="12301">1-2301 Aset Pajak Tangguhan</option>
</optgroup><optgroup label="GOODWILL">
<option value="12401">1-2401 Goodwill</option>
</optgroup><optgroup label="ASETLAIN-LAIN">
<option value="12901">1-2901 Deposit</option>
<option value="12999">1-2999 Aktiva Lain-lain</option>
</optgroup><optgroup label="LIABILITAS LANCAR">
<option value="21401">2-1401 Kewajiban Pajak Tangguhan</option>
<option value="21510">2-1510 Deposit from Customers</option>
</optgroup><optgroup label="HUTANG PERUSAHAAN">
<option value="21110">2-1110 Hutang Perusahaan </option>
<option value="21120">2-1120 Hutang Marjin</option>
<option value="21130">2-1130 Hutang JATIS</option>
<option value="21140">2-1140 Hutang Gaji, Bonus</option>
</optgroup><optgroup label="HUTANG PAJAK">
<option value="21210">2-1210 Hutang PPh Ps.21</option>
<option value="21220">2-1220 Hutang PPh Ps.23</option>
<option value="21230">2-1230 Hutang PPh Ps.4(2)</option>
<option value="21240">2-1240 Pajak Keluaran</option>
<option value="21250">2-1250 Hutang PPh Ps. 29</option>
<option value="21260">2-1260 Hutang PPh 25</option>
<option value="21270">2-1270 Hutang PPh 26</option>
<option value="21280">2-1280 Hutang PPN</option>
</optgroup><optgroup label="PENERBITAN OBLIGASI">
<option value="21301">2-1301 Penerbitan Obligasi</option>
</optgroup><optgroup label="ESTIMASI LIAB IMBALAN KERJA">
<option value="21601">2-1601 Estimasi Liab Imbalan Kerja</option>
</optgroup><optgroup label="SELISIH BAGIAN RUGI ENTITAS">
<option value="21701">2-1701 Selisih Bagian Rugi Entitas</option>
</optgroup><optgroup label="HUTANG LAIN-LAIN LANCAR">
<option value="21901">2-1901 Hutang Lain-Lain Lancar</option>
</optgroup><optgroup label="LIABILITAS PAJAK">
<option value="22101">2-2101 Kewajiban Pajak Tangguhan</option>
</optgroup><optgroup label="HUTANG JANGKA PANJANG">
<option value="22901">2-2901 Hutang Jangka Panjang</option>
</optgroup><optgroup label="EQUITY">
<option value="31100">3-1100 Modal Saham</option>
<option value="38000">3-8000 Laba ditahan</option>
<option value="39000">3-9000 Laba / (Rugi) Tahun Berjalan</option>
<option value="39700">3-9700 Laba Pengukuran Kembali - PMP</option>
<option value="39800">3-9800 Laba/(Rugi) belum direalisasi</option>
<option value="39999">3-9999 Historical Balancing Account</option>
</optgroup><optgroup label="PENDAPATAN USAHA">
<option value="41000">4-1000 Jasa Manajemen Investasi</option>
<option value="42000">4-2000 Jasa Penjualan</option>
<option value="43000">4-3000 Keuntungan Perdagangan Efek</option>
<option value="43001">4-3001 Keuntungan Unit Reksa Dana</option>
<option value="43002">4-3002 Laba/(Rugi) belum direalisasi</option>
<option value="43004">4-3004 Pendapatan Lain-Lain</option>
<option value="45000">4-5000 Pendapatan Bunga (net)</option>
<option value="46000">4-6000 Keuntungan pdg Obligasi</option>
</optgroup><optgroup label="COST OF SALES">
<option value="51000">5-1000 Biaya bunga</option>
<option value="51001">5-1001 Biaya Short Sell</option>
<option value="51002">5-1002 Biaya Transaksi</option>
<option value="51003">5-1003 Biaya Custodial Service</option>
<option value="51004">5-1004 Discount MI Fee</option>
<option value="51005">5-1005 Iuran OJK</option>
</optgroup><optgroup label="BIAYA OPERASIONAL">
<option value="69101">6-9101 Perjalanan Dinas</option>
<option value="69102">6-9102 Hadiah &amp; Sumbangan</option>
<option value="69103">6-9103 Biaya Pajak</option>
<option value="69104">6-9104 Biaya Kantor</option>
<option value="69105">6-9105 Beban Bunga Pinjaman</option>
<option value="69199">6-9199 Lain-Lain</option>
<option value="69900">6-9900 Pajak Penghasilan Badan</option>
<option value="69990">6-9990 Pajak Tangguhan</option>
</optgroup><optgroup label="GAJI">
<option value="61001">6-1001 Gaji Karyawan</option>
<option value="61002">6-1002 Karyawan Tidak Tetap</option>
<option value="61003">6-1003 Insentif</option>
<option value="61004">6-1004 Tunjangan Lembur</option>
<option value="61005">6-1005 Tunjangan Makan</option>
<option value="61006">6-1006 Tunjangan Lain-Lain</option>
<option value="61007">6-1007 Medikal Karyawan</option>
<option value="61008">6-1008 PPh Ps.21</option>
<option value="61009">6-1009 Biaya Asuransi Kesehatan</option>
<option value="61010">6-1010 Bonus</option>
<option value="61011">6-1011 Jamsostek</option>
<option value="61012">6-1012 THR</option>
</optgroup><optgroup label="IKLAN DAN PROMOSI">
<option value="62001">6-2001 Iklan &amp; Promosi</option>
<option value="62002">6-2002 Entertainment</option>
<option value="62003">6-2003 Biaya Marketing</option>
<option value="62004">6-2004 Biaya Agen Marketing</option>
</optgroup><optgroup label="SEWA">
<option value="63001">6-3001 Biaya Sewa Gedung</option>
<option value="63002">6-3002 Biaya Service Charge</option>
<option value="63003">6-3003 Biaya Sewa</option>
</optgroup><optgroup label="TELEKOMUNIKASI &amp; LISTRIK">
<option value="64001">6-4001 Telepon &amp; Internet</option>
<option value="64002">6-4002 Listrik</option>
<option value="64003">6-4003 AC</option>
</optgroup><optgroup label="UMUM &amp; ADMINISTRASI">
<option value="65001">6-5001 KEPERLUAN KANTOR</option>
<option value="65011">6-5011 ATK</option>
<option value="65012">6-5012 Air Minum</option>
<option value="65013">6-5013 Photocopy &amp; Laminating</option>
<option value="65014">6-5014 Cetakan</option>
<option value="65015">6-5015 Keperluan Dapur</option>
<option value="65099">6-5099 Lain-lain Keperluan Kantor</option>
<option value="65100">6-5100 Transportasi &amp; Parkir</option>
<option value="65101">6-5101 Iuran &amp; Langganan</option>
<option value="65102">6-5102 Pos &amp; Pengiriman</option>
<option value="65103">6-5103 Bea Materai</option>
<option value="65104">6-5104 Perbaikan &amp; Perawatan</option>
<option value="65105">6-5105 Administrasi Bank</option>
<option value="65106">6-5106 Biaya Asuransi Kendaraan</option>
<option value="65107">6-5107 BPHTB</option>
<option value="65108">6-5108 Biaya Asuransi Gd sulanjana</option>
<option value="65109">6-5109 Biaya Estimasi Imb Kerja</option>
</optgroup><optgroup label="DEPRESIASI">
<option value="66001">6-6001 Depresiasi</option>
<option value="66002">6-6002 Amortisasi</option>
</optgroup><optgroup label="PELATIHAN &amp; SEMINAR">
<option value="67001">6-7001 Penelitian &amp; Pengembangan</option>
<option value="67002">6-7002 Pelatihan &amp; Seminar</option>
</optgroup><optgroup label="JASA PROFESSIONAL">
<option value="68001">6-8001 Biaya Profesional</option>
<option value="68002">6-8002 Penyedia Tenaga Kerja</option>
</optgroup><optgroup label="BIAYA PENJUALAN">
<option value="69001">6-9001 Administrasi Bursa Efek</option>
<option value="69002">6-9002 Biaya KPEI</option>
<option value="69003">6-9003 Jasa Pialang</option>
<option value="69004">6-9004 Pajak Penjualan Saham</option>
</optgroup><optgroup label="OTHER INCOME">
<option value="81000">8-1000 Pendapatan Bunga</option>
<option value="82000">8-2000 Laba penyertaan ReksaDana RDPT</option>
<option value="83000">8-3000 Laba Selisih Kurs</option>
<option value="84000">8-4000 Laba Penjualan Aktiva Tetap</option>
<option value="85000">8-5000 Pendapatan Investasi</option>
<option value="86000">8-6000 Pendapatan Bunga Deposito</option>
<option value="87000">8-7000 Pendapatan Bunga Simpan Hasil</option>
<option value="88000">8-8000 Pendapatan Bunga Rek Efek</option>
<option value="89000">8-9000 Pendapatan Bunga SEP</option>
<option value="89900">8-9900 Pendapatan Lain-2 Buana</option>
<option value="89990">8-9990 Laba Penjualan Saham Investasi</option>
<option value="89999">8-9999 Pendapatan Lain Lain</option>
</optgroup><optgroup label="OTHER EXPENSES">
<option value="91000">9-1000 Biaya Bunga</option>
<option value="92000">9-2000 Beban Keuangan Imbalan Kerja</option>
<option value="93000">9-3000 Rugi Selisih Kurs</option>
<option value="94000">9-4000 Rugi Penjualan Aktiva Tetap</option>
<option value="95000">9-5000 Kerugian Transaksi</option>
<option value="96000">9-6000 Rugi Bagian Anak Perusahaan</option>
<option value="99999">9-9999 Biaya Lain-lain</option>
</optgroup></select>
</span></td>
</tr>
<tr><td class="label">Depreciation/Disposal account:</td><td><span id="_adjustment_account_sel"><select id="adjustment_account" autocomplete="off" name="adjustment_account" class="combo3" title="" _last="166"><optgroup label="KAS">
<option value="11111">1-1111 Kas Kecil - IDR</option>
<option value="11112">1-1112 Kas Kecil 3 (Operasional)</option>
<option value="11113">1-1113 Kas Kecil 4 (Marketing)</option>
<option value="11114">1-1114 Kas Kecil 5 (Sekretaris)</option>
<option value="11140">1-1140 Kas Besar - IDR</option>
</optgroup><optgroup label="BANK">
<option value="11152">1-1152 Bank Ekonomi-2161889299 (IDR)</option>
<option value="11153">1-1153 Bank Ekonomi-2161880909 (IDR)</option>
<option value="11154">1-1154 Bank Ekonomi -2165001969 (USD)</option>
<option value="11155">1-1155 Bank BII - 2.145.258.793 (IDR)</option>
<option value="11156">1-1156 Bank Danamon - 351.8939.883</option>
<option value="11157">1-1157 Bank Permata - 701.316.290</option>
<option value="11158">1-1158 Permata Maxima 701.316.142</option>
<option value="11159">1-1159 Bank Ekonomi -2163812099 (Tab)</option>
<option value="11160">1-1160 Taseto BPTN</option>
<option value="11161">1-1161 CIMB Niaga 9250100851000</option>
<option value="11162">1-1162 Bank Mega USD</option>
<option value="11163">1-1163 Bank BRI 0671.01.00276309</option>
<option value="11164">1-1164 Bank Mega IDR 01.074.001123.897.6</option>
</optgroup><optgroup label="DEPOSITO BERJANGKA">
<option value="11201">1-1201 Deposito BII</option>
<option value="11202">1-1202 Deposito Ekonomi</option>
<option value="11203">1-1203 Deposito BRI</option>
<option value="11204">1-1204 Deposito Standard Chartered</option>
<option value="11205">1-1205 Deposito BTPN</option>
<option value="11206">1-1206 Deposito Permata</option>
<option value="11207">1-1207 Deposito Bank Victoria</option>
</optgroup><optgroup label="PORTOFOLIO EFEK">
<option value="11301">1-1301 Saldo Rekening Efek(Saham)</option>
<option value="11302">1-1302 Saldo Rekening Efek (Obligasi)</option>
<option value="11303">1-1303 Unit Penyertaan Reksa Dana</option>
<option value="11304">1-1304 Portofolio Efek</option>
<option value="11305">1-1305 Obligasi</option>
</optgroup><optgroup label="PIUTANG USAHA">
<option value="11401">1-1401 Piutang Usaha</option>
<option value="11499">1-1499 Undeposited Fund</option>
</optgroup><optgroup label="PIUTANG LAIN-LAIN">
<option value="11510">1-1510 Piutang PPh Ps.23</option>
<option value="11520">1-1520 Piutang PPh 4 (2)</option>
<option value="11530">1-1530 Piutang PPN</option>
<option value="11580">1-1580 Piutang Pemegang Saham JP</option>
<option value="11581">1-1581 Piutang Pemegang Saham RH</option>
<option value="11582">1-1582 Piutang Pemegang Saham DT</option>
<option value="11583">1-1583 Piutang Bunga SEP</option>
<option value="11584">1-1584 Piutang bunga Deposito</option>
<option value="11590">1-1590 Piutang Lain-Lain</option>
</optgroup><optgroup label="BIAYA DI BAYAR DIMUKA">
<option value="11601">1-1601 Premi Asuransi Kendaraan</option>
<option value="11602">1-1602 Premi Asuransi Kesehatan</option>
<option value="11603">1-1603 Allocation Car Park</option>
<option value="11604">1-1604 Infovesta</option>
<option value="11605">1-1605 Domain &amp; Hosting Fee Javanic</option>
<option value="11606">1-1606 Biaya Data Research</option>
<option value="11607">1-1607 Sewa Gedung</option>
<option value="11608">1-1608 Service Charge</option>
<option value="11609">1-1609 Indosite Webhosting</option>
<option value="11610">1-1610 Langganan Majalah</option>
<option value="11611">1-1611 RTI</option>
<option value="11612">1-1612 Premi Asuransi Gedung</option>
<option value="11613">1-1613 Langganan Data Bareksa</option>
<option value="11614">1-1614 Akses Market Info IQ Plus</option>
<option value="11615">1-1615 Langganan BIPS</option>
<option value="11699">1-1699 Down Payment</option>
</optgroup><optgroup label="PAJAK DIBAYAR DIMUKA">
<option value="11701">1-1701 PPh Ps.23 dibayar dimuka</option>
<option value="11702">1-1702 PPh Ps. 25</option>
<option value="11703">1-1703 Pajak Masukan</option>
<option value="11704">1-1704 Fiskal Luar Negeri</option>
<option value="11705">1-1705 PPh Ps. 28</option>
</optgroup><optgroup label="INVESTASI">
<option value="12101">1-2101 Inv. Penyertaan Saham Skybee</option>
<option value="12102">1-2102 Inv. Penyertaan Saham Suria EP</option>
</optgroup><optgroup label="RENOVASI">
<option value="12211">1-2211 Renovasi</option>
<option value="12212">1-2212 Amortisasi Renovasi</option>
</optgroup><optgroup label="PERALATAN KANTOR">
<option value="12221">1-2221 Peralatan Kantor</option>
<option value="12222">1-2222 Akm. Dep. Peralatan Kantor</option>
</optgroup><optgroup label="FURNITURE AND FIXTURE">
<option value="12231">1-2231 Furniture &amp; Fixtures</option>
<option value="12232">1-2232 Akm.Dep. Furnitures &amp; Fixtures</option>
</optgroup><optgroup label="KENDARAAN">
<option value="12241">1-2241 Kendaraan</option>
<option value="12242">1-2242 Akm.Dep.Kendaraan</option>
</optgroup><optgroup label="TANAH">
<option value="12251">1-2251 Tanah</option>
</optgroup><optgroup label="BANGUNAN">
<option value="12261">1-2261 Bangunan</option>
<option value="12262">1-2262 Akm. Dep. Bangunan</option>
</optgroup><optgroup label="ASET PAJAK TANGGUHAN">
<option value="12301">1-2301 Aset Pajak Tangguhan</option>
</optgroup><optgroup label="GOODWILL">
<option value="12401">1-2401 Goodwill</option>
</optgroup><optgroup label="ASETLAIN-LAIN">
<option value="12901">1-2901 Deposit</option>
<option value="12999">1-2999 Aktiva Lain-lain</option>
</optgroup><optgroup label="LIABILITAS LANCAR">
<option value="21401">2-1401 Kewajiban Pajak Tangguhan</option>
<option value="21510">2-1510 Deposit from Customers</option>
</optgroup><optgroup label="HUTANG PERUSAHAAN">
<option value="21110">2-1110 Hutang Perusahaan </option>
<option value="21120">2-1120 Hutang Marjin</option>
<option value="21130">2-1130 Hutang JATIS</option>
<option value="21140">2-1140 Hutang Gaji, Bonus</option>
</optgroup><optgroup label="HUTANG PAJAK">
<option value="21210">2-1210 Hutang PPh Ps.21</option>
<option value="21220">2-1220 Hutang PPh Ps.23</option>
<option value="21230">2-1230 Hutang PPh Ps.4(2)</option>
<option value="21240">2-1240 Pajak Keluaran</option>
<option value="21250">2-1250 Hutang PPh Ps. 29</option>
<option value="21260">2-1260 Hutang PPh 25</option>
<option value="21270">2-1270 Hutang PPh 26</option>
<option value="21280">2-1280 Hutang PPN</option>
</optgroup><optgroup label="PENERBITAN OBLIGASI">
<option value="21301">2-1301 Penerbitan Obligasi</option>
</optgroup><optgroup label="ESTIMASI LIAB IMBALAN KERJA">
<option value="21601">2-1601 Estimasi Liab Imbalan Kerja</option>
</optgroup><optgroup label="SELISIH BAGIAN RUGI ENTITAS">
<option value="21701">2-1701 Selisih Bagian Rugi Entitas</option>
</optgroup><optgroup label="HUTANG LAIN-LAIN LANCAR">
<option value="21901">2-1901 Hutang Lain-Lain Lancar</option>
</optgroup><optgroup label="LIABILITAS PAJAK">
<option value="22101">2-2101 Kewajiban Pajak Tangguhan</option>
</optgroup><optgroup label="HUTANG JANGKA PANJANG">
<option value="22901">2-2901 Hutang Jangka Panjang</option>
</optgroup><optgroup label="EQUITY">
<option value="31100">3-1100 Modal Saham</option>
<option value="38000">3-8000 Laba ditahan</option>
<option value="39000">3-9000 Laba / (Rugi) Tahun Berjalan</option>
<option value="39700">3-9700 Laba Pengukuran Kembali - PMP</option>
<option value="39800">3-9800 Laba/(Rugi) belum direalisasi</option>
<option value="39999">3-9999 Historical Balancing Account</option>
</optgroup><optgroup label="PENDAPATAN USAHA">
<option value="41000">4-1000 Jasa Manajemen Investasi</option>
<option value="42000">4-2000 Jasa Penjualan</option>
<option value="43000">4-3000 Keuntungan Perdagangan Efek</option>
<option value="43001">4-3001 Keuntungan Unit Reksa Dana</option>
<option value="43002">4-3002 Laba/(Rugi) belum direalisasi</option>
<option value="43004">4-3004 Pendapatan Lain-Lain</option>
<option value="45000">4-5000 Pendapatan Bunga (net)</option>
<option value="46000">4-6000 Keuntungan pdg Obligasi</option>
</optgroup><optgroup label="COST OF SALES">
<option value="51000">5-1000 Biaya bunga</option>
<option value="51001">5-1001 Biaya Short Sell</option>
<option value="51002">5-1002 Biaya Transaksi</option>
<option value="51003">5-1003 Biaya Custodial Service</option>
<option value="51004">5-1004 Discount MI Fee</option>
<option value="51005">5-1005 Iuran OJK</option>
</optgroup><optgroup label="BIAYA OPERASIONAL">
<option value="69101">6-9101 Perjalanan Dinas</option>
<option value="69102">6-9102 Hadiah &amp; Sumbangan</option>
<option value="69103">6-9103 Biaya Pajak</option>
<option value="69104">6-9104 Biaya Kantor</option>
<option value="69105">6-9105 Beban Bunga Pinjaman</option>
<option value="69199">6-9199 Lain-Lain</option>
<option value="69900">6-9900 Pajak Penghasilan Badan</option>
<option value="69990">6-9990 Pajak Tangguhan</option>
</optgroup><optgroup label="GAJI">
<option value="61001">6-1001 Gaji Karyawan</option>
<option value="61002">6-1002 Karyawan Tidak Tetap</option>
<option value="61003">6-1003 Insentif</option>
<option value="61004">6-1004 Tunjangan Lembur</option>
<option value="61005">6-1005 Tunjangan Makan</option>
<option value="61006">6-1006 Tunjangan Lain-Lain</option>
<option value="61007">6-1007 Medikal Karyawan</option>
<option value="61008">6-1008 PPh Ps.21</option>
<option value="61009">6-1009 Biaya Asuransi Kesehatan</option>
<option value="61010">6-1010 Bonus</option>
<option value="61011">6-1011 Jamsostek</option>
<option value="61012">6-1012 THR</option>
</optgroup><optgroup label="IKLAN DAN PROMOSI">
<option value="62001">6-2001 Iklan &amp; Promosi</option>
<option value="62002">6-2002 Entertainment</option>
<option value="62003">6-2003 Biaya Marketing</option>
<option value="62004">6-2004 Biaya Agen Marketing</option>
</optgroup><optgroup label="SEWA">
<option value="63001">6-3001 Biaya Sewa Gedung</option>
<option value="63002">6-3002 Biaya Service Charge</option>
<option value="63003">6-3003 Biaya Sewa</option>
</optgroup><optgroup label="TELEKOMUNIKASI &amp; LISTRIK">
<option value="64001">6-4001 Telepon &amp; Internet</option>
<option value="64002">6-4002 Listrik</option>
<option value="64003">6-4003 AC</option>
</optgroup><optgroup label="UMUM &amp; ADMINISTRASI">
<option value="65001">6-5001 KEPERLUAN KANTOR</option>
<option value="65011">6-5011 ATK</option>
<option value="65012">6-5012 Air Minum</option>
<option value="65013">6-5013 Photocopy &amp; Laminating</option>
<option value="65014">6-5014 Cetakan</option>
<option value="65015">6-5015 Keperluan Dapur</option>
<option value="65099">6-5099 Lain-lain Keperluan Kantor</option>
<option value="65100">6-5100 Transportasi &amp; Parkir</option>
<option value="65101">6-5101 Iuran &amp; Langganan</option>
<option value="65102">6-5102 Pos &amp; Pengiriman</option>
<option value="65103">6-5103 Bea Materai</option>
<option value="65104">6-5104 Perbaikan &amp; Perawatan</option>
<option value="65105">6-5105 Administrasi Bank</option>
<option value="65106">6-5106 Biaya Asuransi Kendaraan</option>
<option value="65107">6-5107 BPHTB</option>
<option value="65108">6-5108 Biaya Asuransi Gd sulanjana</option>
<option value="65109">6-5109 Biaya Estimasi Imb Kerja</option>
</optgroup><optgroup label="DEPRESIASI">
<option selected="" value="66001">6-6001 Depresiasi</option>
<option value="66002">6-6002 Amortisasi</option>
</optgroup><optgroup label="PELATIHAN &amp; SEMINAR">
<option value="67001">6-7001 Penelitian &amp; Pengembangan</option>
<option value="67002">6-7002 Pelatihan &amp; Seminar</option>
</optgroup><optgroup label="JASA PROFESSIONAL">
<option value="68001">6-8001 Biaya Profesional</option>
<option value="68002">6-8002 Penyedia Tenaga Kerja</option>
</optgroup><optgroup label="BIAYA PENJUALAN">
<option value="69001">6-9001 Administrasi Bursa Efek</option>
<option value="69002">6-9002 Biaya KPEI</option>
<option value="69003">6-9003 Jasa Pialang</option>
<option value="69004">6-9004 Pajak Penjualan Saham</option>
</optgroup><optgroup label="OTHER INCOME">
<option value="81000">8-1000 Pendapatan Bunga</option>
<option value="82000">8-2000 Laba penyertaan ReksaDana RDPT</option>
<option value="83000">8-3000 Laba Selisih Kurs</option>
<option value="84000">8-4000 Laba Penjualan Aktiva Tetap</option>
<option value="85000">8-5000 Pendapatan Investasi</option>
<option value="86000">8-6000 Pendapatan Bunga Deposito</option>
<option value="87000">8-7000 Pendapatan Bunga Simpan Hasil</option>
<option value="88000">8-8000 Pendapatan Bunga Rek Efek</option>
<option value="89000">8-9000 Pendapatan Bunga SEP</option>
<option value="89900">8-9900 Pendapatan Lain-2 Buana</option>
<option value="89990">8-9990 Laba Penjualan Saham Investasi</option>
<option value="89999">8-9999 Pendapatan Lain Lain</option>
</optgroup><optgroup label="OTHER EXPENSES">
<option value="91000">9-1000 Biaya Bunga</option>
<option value="92000">9-2000 Beban Keuangan Imbalan Kerja</option>
<option value="93000">9-3000 Rugi Selisih Kurs</option>
<option value="94000">9-4000 Rugi Penjualan Aktiva Tetap</option>
<option value="95000">9-5000 Kerugian Transaksi</option>
<option value="96000">9-6000 Rugi Bagian Anak Perusahaan</option>
<option value="99999">9-9999 Biaya Lain-lain</option>
</optgroup></select>
</span></td>
</tr>
<tr><td>&nbsp;</td></tr>
<tr><td>&nbsp;</td></tr>
</tbody></table>';
$setting_deprec.='</td></tr>';
	}
		echo @$setting_deprec;
		*/
	  textarea_row(_("Description"), 'memo_', null, 50, 3);

	  echo "</table>";
}
